#!/usr/bin/env python

import matplotlib.pyplot as plt
import numpy as np

#output file of the assimilation (to read the cost funcion)
files = ['outWIND.txt','outNOWIND.txt']

#color corresponding to each plot
col = ['red','blue']

#legend for each plot
leg = ['with wind','without wind']

#name of the output file
fout = 'cost_wind.png'

J = [0]*len(files)
po = []
for i,file in enumerate(files):
    f1 = open(file)
    J[i] = np.empty(0)
    for L in f1:
        line = L.split()
        if len(line) is 3 and line[0] is 'f' and line[1] is '=':
            J[i]=np.append(J[i],float(line[2].replace('D','E')))
    f1.close()
    po.append(plt.plot(J[i],color=col[i],label=leg[i]))

plt.legend()
plt.savefig(fout)
